MERGE HDOSYADETAY AS hedef
USING HDOSYA AS kaynak
ON hedef.HDOSYAID = kaynak.HDOSYAID
WHEN MATCHED THEN
    -- Eşleşen kayıtlar için güncelleme veya silme işlemleri
    UPDATE SET HEDEF.TAAHHUTONAMALINDI=ISNULL(KAYNAK.TAAHHUTONAMALINDI,0)
WHEN NOT MATCHED  AND kaynak.TAAHHUTONAMALINDI=1  THEN
    -- Hedef tabloda olmayan kayıtları ekleme
    INSERT (HDOSYAID,TAAHHUTONAMALINDI) VALUES (HDOSYAID,ISNULL(TAAHHUTONAMALINDI,0));
